Bug 175650 - Evince has unreasonable package dependencies
Evince has unreasonable package dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 12:48 EST by Tethys
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evince-0.6.0-6.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 15:20:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2005-12-13 12:48:55 EST
Description of problem:

leto:~# yum install evince
[...]
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 evince                  i386       0.4.0-1.2        updates-released  574 k
Installing for dependencies:
 nautilus                i386       2.10.0-4         base              3.7 M
 nautilus-cd-burner      i386       2.10.0-2         base              256 k


Version-Release number of selected component (if applicable):
evince-0.4.0-1.2
  
Actual results:
WTF? Why on earth do I need to install nautilus (let alone nautilus-cd-burner)
in order to view a PostScript file? Perhaps there's some integration with
nautlius available somewhere, but if so, it's well hidden. I can't see anything
in evince that would require those two packages, so why are they there? I don't
want them on my system. I just want to be able to view a PostScript file like
I used to be able to before you removed gv.
Comment 1 Brian Pepple 2006-02-16 10:23:08 EST
The Nautilus BR is needed for the property page info support (Document tab) in
Nautilus.  I'm pretty sure it's also needed for the thumbnail generation in
Nautilus (though I'm 100% sure of that, since I haven't looked through the code
for that).

Nautilus-cd-burner is a requirement of Nautilus.

I question if this is really a bug, since Evince is a part of GNOME and meant to
be used in conjuction with the GNOME desktop (which Nautilus is an integral part).
Comment 2 Tethys 2006-02-18 09:28:39 EST
Hang on... you're claiming that Nautilus is needed to support some action the
user might want to take in Nautilus? Now perhaps that would be an argument for
making Evince a dependency of Nautilus, but not vice versa. Put it this way...
what do I, as an end user, gain from having Nautilus installed when using Evince
to view a PostScript document? What does it provide that's essential? If it's
just some extra niceties somewhere (and I can't find them if it does), then it's
not a dependency. If it's something that stops Evince from working at all, then
it should be a dependency. But I can't see it myself.

Evince is part of GNOME, you say? Then it's a regression, and hence still a bug.
Fedora used to provide a means of viewing PostScript without requiring a GNOME
desktop. If it now doesn't, that's a major flaw. Evince was touted as a
replacement for gv/ggv, and from what I can see, it's not fulfilling that role
very well.
Comment 3 Christian Iseli 2007-01-19 19:53:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Tethys 2007-01-22 15:20:16 EST
Yep, looks like this is now fixed.

Sadly, it seems it was only fixed by me raising it as an issue in Max Spevack's
interview on on Slashdot, in order to avoid bad publicity. Bug 201967 was filed
as a direct result of that question:

https://www.redhat.com/archives/fedora-advisory-board/2006-August/msg00153.html

and was fixed a day later. Still, at least it's now fixed. I just wish that
it hadn't needed such drastic measures to fix it. It sat around for 6 months
being ignored, and a Slashdot interview doesn't come up every time you need
something fixed.

It's symptomatic of wider problems in the Fedora world that nobody seems
interested in fixing. But like I said, at least this bug is now fixed...

Note You need to log in before you can comment on or make changes to this bug.